Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644084 - app-text/fbreader-0.99.4-r3 doesn't compile on 17.1 profile
Summary: app-text/fbreader-0.99.4-r3 doesn't compile on 17.1 profile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Grozin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib qtbindir
  Show dependency tree
 
Reported: 2018-01-10 00:56 UTC by Bob Johnson
Modified: 2018-01-11 15:49 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Johnson 2018-01-10 00:56:08 UTC
make[2]: Entering directory '/var/tmp/portage/app-text/fbreader-0.99.4-r3/work/fbreader-0.99.4/zlibrary/ui/src/qt4/time'
Compiling ZLQtTime.o ... OK
Generating ZLQtTime.moc.cpp ...make[2]: /usr/lib/qt5/bin/moc: Command not found
make[2]: *** [/var/tmp/portage/app-text/fbreader-0.99.4-r3/work/fbreader-0.99.4/zlibrary/ui/../../makefiles/qsubdir.mk:20: ZLQtTime.moc.cpp] Error 127
make[2]: Leaving directory '/var/tmp/portage/app-text/fbreader-0.99.4-r3/work/fbreader-0.99.4/zlibrary/ui/src/qt4/time'
make[1]: *** [Makefile:95: .objects] Error 1
make[1]: Leaving directory '/var/tmp/portage/app-text/fbreader-0.99.4-r3/work/fbreader-0.99.4/zlibrary/ui'
make: *** [Makefile:9: all] Error 1
 * ERROR: app-text/fbreader-0.99.4-r3::gentoo failed (compile phase):
 *   emake failed


Reproducible: Always




Compiles fine on my 17.0 profile workstation. Looks like a makefile is hard-coding /usr/lib/qt5/bin, when moc is now in /usr/lib64/qt5/bin.

~ # emerge --info '=app-text/fbreader-0.99.4-r3::gentoo' 
Portage 2.3.13 (python 2.7.14-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-6.4.0, glibc-2.25-r9, 4.14.8-gentoo-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.14.8-gentoo-r1-x86_64-Intel-R-_Core-TM-_i5-2500_CPU_@_3.30GHz-with-gentoo-2.4.1
KiB Mem:    16461752 total,   6291960 free
KiB Swap:    2097148 total,   2096880 free
Timestamp of repository gentoo: Thu, 04 Jan 2018 15:45:01 +0000
Head commit of repository gentoo: e5cb9461345dfc34a1035e7db25822ed9a241e75
sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo, 3.6.3-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.namerica.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

local
    location: /usr/local/portage
    masters: gentoo
    priority: 0

printer-drivers
    location: /var/lib/layman/printer-drivers
    masters: gentoo
    priority: 50

vmware
    location: /var/lib/layman/vmware
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA vmware"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-march=native -O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord consolekit crypt cups curl cxx dbus declarative doc dri dts dvd dvdr emboss encode examples exif fam firefox flac fontconfig fortran gcj gd gdbm gif glamor gtk handbook iconv icu ipv6 jack java jbig jpeg jpeg2k kde kipi kpathsea kwallet lcms ldap libnotify lzma mad mbox mng modules mp3 mp4 mpeg multilib ncurses nls nptl odbc ogg openexr opengl openmp pam pango pcre pdf phonon plasma png policykit postgres ppds qml qt3support qt5 readline sdl seccomp semantic-desktop session source spell ssl startup-notification svg t1lib tcpd threads tiff truetype udev udisks unicode upower usb vim-syntax vorbis webp widgets wxwidgets x264 xattr xcb xcomposite xinerama xml xpm xv xvid zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_core authn_dbd authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info lbmethod_byrequests log_config log_forensic logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif slotmem_shm socache_shmcb speling status unique_id unixd userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="keyboard mouse evdev vmmouse joystick" KERNEL="linux" L10N="en en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver presenter-minimizer wiki-publisher" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-1" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" SANE_BACKENDS="epson2" USERLAND="GNU" VIDEO_CARDS="fbdev intel r600 radeon vesa vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

app-text/fbreader-0.99.4-r3::gentoo was built with the following:
USE="-debug" ABI_X86="(64)"
CFLAGS="-march=native -O2 -pipe -std=c++11"
Comment 1 Andreas Sturmlechner gentoo-dev 2018-01-10 01:12:06 UTC
Yes indeed, the qt5 patch is hardcoding the MOC path. This should be enough to fix it:

--- a/app-text/fbreader/files/fbreader-0.99.4-qt5.patch
+++ b/app-text/fbreader/files/fbreader-0.99.4-qt5.patch
@@ -30,7 +30,7 @@ index 4267113..3b46102 100644
 -ifeq "$(UI_TYPE)" "gtk"
 -  UILIBS = $(shell pkg-config --libs gtk+-2.0 gio-2.0) -lpng -ljpeg
 -endif
-+MOC = /usr/lib/qt5/bin/moc
++MOC = "$(shell pkg-config --variable=host_bins Qt5Core)/moc"
 +QTINCLUDE = $(shell pkg-config --cflags Qt5Gui Qt5Widgets Qt5Network)
 +UILIBS = $(shell pkg-config --libs Qt5Gui Qt5Widgets Qt5Network)
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-10 01:14:24 UTC
...even though in line 57 of the ebuild there is another hardcoded path to /usr/bin/moc that should be replaced by a call to qt5_get_bindir from qmake-utils.eclass.
Comment 3 Larry the Git Cow gentoo-dev 2018-01-11 15:49:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ea23d69ad0e2567f32002ec5f8351bdb65c0e9e

commit 4ea23d69ad0e2567f32002ec5f8351bdb65c0e9e
Author:     Andrey Grozin <grozin@gentoo.org>
AuthorDate: 2018-01-11 15:48:47 +0000
Commit:     Andrey Grozin <grozin@gentoo.org>
CommitDate: 2018-01-11 15:48:47 +0000

    app-text/fbreader: fix building on the 17.1 profile
    
    Closes: https://bugs.gentoo.org/644084
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-text/fbreader/fbreader-0.99.4-r5.ebuild        |  84 ++++
 .../fbreader/files/fbreader-0.99.4-combined.patch  | 535 +++++++++++++++++++++
 2 files changed, 619 insertions(+)